# DataTypeCollectionBase

[This is preliminary documentation and subject to change.]

Base class for collections that needs to be globally referencable.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
id | string | The ID used to be referenced later. | False
refid | string | The ID to use as the reference. | False

### Requirements

Assembly: NAnt.DotNetTasks (0.85.1932.0)